## org.apache.xerces.impl.xs.util
Class NSItemListImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.util.NSItemListImpl

All Implemented Interfaces:
  XSNamespaceItemList

public class NSItemListImpl
extends java.lang.Object
implements XSNamespaceItemList

Containts a list of Object's.

Version:
  $Id: NSItemListImpl.java,v 1.1 2003/01/14 20:21:48 elena Exp $
Author:
  Sandy Gao, IBM

Constructor Summary
`NSItemListImpl(java.util.Vector v)`
`NSItemListImpl(XSNamespaceItem[] array, int length)` Construct an XSNamespaceItemList implementation

Method Summary
`int` `getLength()` The number of `Objects` in the list.
`XSNamespaceItem` `item(int index)` Returns the `index`th item in the collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSItemListImpl

    public NSItemListImpl(java.util.Vector v)

### NSItemListImpl

    public NSItemListImpl(XSNamespaceItem[] array,
                          int length)

  Construct an XSNamespaceItemList implementation
  Parameters:
    `array` - the data array
    `length` - the number of elements

Method Detail

### getLength

    public int getLength()

  The number of `Objects` in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `XSNamespaceItemList`

### item

    public XSNamespaceItem item(int index)

  Description copied from interface: `XSNamespaceItemList`
  Returns the `index`th item in the collection. The index starts at 0. If `index` is greater than or equal to the number of objects in the list, this returns `null`.
  Specified by:
    `item` in interface `XSNamespaceItemList`
  Following copied from interface: `org.apache.xerces.impl.xs.psvi.XSNamespaceItemList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The `XSNamespaceItem` at the `index`th position in the `XSNamespaceItemList`, or `null` if that is not a valid index.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.